org.apache.lucene.queryparser.flexible.standard.nodes

## Class BooleanModifierNode

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl
  - - org.apache.lucene.queryparser.flexible.core.nodes.ModifierQueryNode
    - - org.apache.lucene.queryparser.flexible.standard.nodes.BooleanModifierNode

- All Implemented Interfaces:
    Cloneable, QueryNode

      public class BooleanModifierNode
      extends ModifierQueryNode

  A `BooleanModifierNode` has the same behaviour as `ModifierQueryNode`, it only indicates that this modifier was added by `BooleanQuery2ModifierNodeProcessor` and not by the user.
  See Also:
    `ModifierQueryNode`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.queryparser.flexible.core.nodes.ModifierQueryNode

      `ModifierQueryNode.Modifier`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl

      `PLAINTEXT_FIELD_NAME, toQueryStringIgnoreFields`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BooleanModifierNode(QueryNode node, ModifierQueryNode.Modifier mod)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.queryparser.flexible.core.nodes.ModifierQueryNode

      `cloneTree, getChild, getModifier, setChild, toQueryString, toString`

    - ### Methods inherited from class org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl

      `add, add, allocate, clone, containsTag, getChildren, getParent, getTag, getTagMap, isDefaultField, isLeaf, isRoot, removeChildren, removeFromParent, set, setLeaf, setTag, unsetTag`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BooleanModifierNode

          public BooleanModifierNode(QueryNode node,
                                     ModifierQueryNode.Modifier mod)

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.